GetSuppressedDestination method
Returns information about an address on the custom suppression list. The cloud is determined based on the service account the request originates from.
Request
GET /v2/email/suppression/addresses/{EmailAddress} HTTP/2
Path parameters
|
Parameter |
Description |
|
|
Type: String. Recipient's address. Use percent encoding, e.g., |
Request headers
Use common request headers in your requests.
Responses
200 OK
{
"SuppressedDestination": {
"EmailAddress": "user@example.com",
"Reason": "BOUNCE",
"LastUpdateTime": 1586552585.000,
"Attributes": {
"MessageId": "0000018f-..."
}
}
}
|
Parameter |
Description |
|
|
Type: String. Recipient's address. |
|
|
Type: String. Reason to add the address to the suppression list: |
|
|
Type: Number. The entry's last modification time in seconds, Unix format. |
|
|
Type: Object. Returned only if the address was added to the suppression list automatically. Contains the |
Errors
For all errors, the response body has the same format:
{
"Code": "<error_name>",
"message": "<error_description>"
}
The name of the error is taken from its code, e.g., BadRequestException.
The possible errors include:
|
Error code |
Description |
|
|
The request gives an empty or invalid address. |
|
|
Not enough permissions to execute the request. |
|
|
The address is not on the suppression list. |
|
|
The request quota was exceeded. |